-- 2010 TARDIS

local T={}
T.Base="base"
T.Name="2010 TARDIS Old"
T.ID="copper"
T.Interior={
	Model="models/doctorwho1200/copper/rewrite/interior.mdl",
	Portal={
		pos=Vector(335.5,384,-47),
		ang=Angle(0,-98.5,0),
		width=45,
		height=92
	},
	Fallback={
		pos=Vector(333,363,-85),
		ang=Angle(0,-99,0),
	},
	ExitDistance=2000,
	IdleSound={
		{
			path="doctorwho1200/copper/rewrite/interior_idle_loop.wav",
			volume=1
		}
	},
	Light={
	      color=Color(250,50,0),
	      pos=Vector(0,0,120),
	      brightness=5
	},
	Seats={
		{
			pos=Vector(130,-96,-35),
			ang=Angle(0,40,0)
		},
		{
			pos=Vector(125,55,-35),
			ang=Angle(0,135,0)
		}
	},
	Parts={
		console={
			model="models/doctorwho1200/copper/rewrite/console.mdl"
		},
		copperrails=true,
		copperscreen=true,
		copperpipes=true,
		copperroundels=true,
		copperrooms=true,
		copperrl=true,
		copperrl2=true,
		copperlevers={
			pos=Vector(0,0,0),
			ang=Angle(0,0,0)
		},
		door={
			model="models/doctorwho1200/copper/rewrite/door.mdl",
			posoffset=Vector(0,0,18),angoffset=Angle(0,180,0)
		},
		copperthrottle=true,
		copperaccel=true,
		copperflight=true,
		copperwiblev=true,
		copperdirpoint=true,
		copperkeyboard=true,
		copperhelmic=true,
		copperfastret={
			pos=Vector(0,-3.5,0),
			ang=Angle(0,-60,0),
		},
		copperhandb=true,
		copperlongf=true,
		coppertypew=true,
		copperphysb=true,
		copperrepair={
			pos=Vector(-6,-2,0),
			ang=Angle(0,-180,0),
		},
		copperplotter=true,
		copperpower=true,
		copperisomorph={
			pos=Vector(-3.5,-3,0),
			ang=Angle(0,-120,0),
		},
		copperphase=true,
		copperlock=true,
		copperbutton2=true,
		coppergram={
		pos=Vector(-15,15,30),
		ang=Angle(0,80,0),
		},
		copperfoam=true,
		copperfoam2={
			pos=Vector(-2,0,0),
			ang=Angle(0,60,0),
		},
		copperairpump=true,
		copperblackl=true,
		coppersilver2=true,
		copperbell=true,
		copperblacksw=true,
		copperboringer=true,
		copperburner=true,
		copperbrown=true,
		copperbrown2={
			pos=Vector(2,0,-3),
			ang=Angle(0,0,0)
		},
		coppergoldv=true,
		coppercrank=true,
		coppercrank2=true,
		coppercrank3=true,
		coppercrank4=true,
		coppercrank5=true,
		coppersafelock=true,
		coppersafelock2=true,
		coppersafelock4=true,
		copperbluev=true,
		coppervalves=true,
		copperphone=true,
		copperswtchs=true,
		copperpump=true,
		copperpedal=true,
		copperpedal2={
			pos=Vector(-7,0,0),
			ang=Angle(0,180,0),
		},
		copperrotor=true,
		coppercw=true,

	}
}
T.Exterior={
	Model="models/doctorwho1200/copper/rewrite/exterior.mdl",
	Mass=2000,
	Portal={
		pos=Vector(28.7,0,48.5),
		ang=Angle(0,0,0),
		width=45,
		height=92
	},
	Fallback={
		pos=Vector(30,0,5),
		ang=Angle(0,0,0)
	},
	Light={
		enabled=true,
		pos=Vector(0,0,122),
		color=Color(255,240,160)
	},
	Sounds={
		Teleport={
			demat="doctorwho1200/copper/rewrite/demat.wav",
			mat="doctorwho1200/copper/rewrite/mat.wav"
		},
		Lock="doctorwho1200/copper/rewrite/lock.wav",
		Door={
			enabled=true,
			open="doctorwho1200/copper/rewrite/door_open.wav",
			close="doctorwho1200/copper/rewrite/door_close.wav"
		},
		FlightLoop="doctorwho1200/copper/rewrite/flight_loop.wav"
	},
	Parts={
		door={
				model="models/doctorwho1200/copper/rewrite/doorext.mdl",
				posoffset=Vector(0,0,18),
				angoffset=Angle(0,0,0)
		},
		vortex={
			model="models/doctorwho1200/copper/2010timevortex.mdl",
			pos=Vector(0,0,50),
			ang=Angle(0,0,0),
			scale=10
		}
	}
}

TARDIS:AddInterior(T)